1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
18 # Copyright (C) 2019 Free Software Foundation, Inc.
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 2 of the License, or
23 # (at your option) any later version.
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING. If not see
32 # <http://www.gnu.org/licenses/>.
37 if test -z '$(MAKELEVEL)'; then \
39 elif test -n '$(MAKE_HOST)'; then \
41 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
47 am__make_running_with_option = \
48 case $${target_option-} in \
50 *) echo "am__make_running_with_option: internal error: invalid" \
51 "target option '$${target_option-}' specified" >&2; \
55 sane_makeflags=$$MAKEFLAGS; \
56 if $(am__is_gnu_make); then \
57 sane_makeflags=$$MFLAGS; \
62 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
69 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
71 for flg in $$sane_makeflags; do \
72 test $$skip_next = yes && { skip_next=no; continue; }; \
75 -*I) strip_trailopt 'I'; skip_next=yes;; \
76 -*I?*) strip_trailopt 'I';; \
77 -*O) strip_trailopt 'O'; skip_next=yes;; \
78 -*O?*) strip_trailopt 'O';; \
79 -*l) strip_trailopt 'l'; skip_next=yes;; \
80 -*l?*) strip_trailopt 'l';; \
81 -[dEDm]) skip_next=yes;; \
82 -[JT]) skip_next=yes;; \
85 *$$target_option*) has_opt=yes; break;; \
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
107 @NEED_CTF_QSORT_R_TRUE@am__append_1 = ctf-qsort_r.c
109 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
110 am__aclocal_m4_deps = $(top_srcdir)/../config/depstand.m4 \
111 $(top_srcdir)/../config/lead-dot.m4 \
112 $(top_srcdir)/../config/override.m4 \
113 $(top_srcdir)/../config/warnings.m4 \
114 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/configure.ac
115 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
117 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
118 $(am__configure_deps) $(am__DIST_COMMON)
119 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
120 configure.lineno config.status.lineno
121 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
122 CONFIG_HEADER = config.h
124 CONFIG_CLEAN_VPATH_FILES =
125 LIBRARIES = $(noinst_LIBRARIES)
127 AM_V_AR = $(am__v_AR_@AM_V@)
128 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
129 am__v_AR_0 = @echo " AR " $@;
131 libctf_a_AR = $(AR) $(ARFLAGS)
133 am__libctf_a_SOURCES_DIST = ctf-archive.c ctf-dump.c ctf-create.c \
134 ctf-decl.c ctf-error.c ctf-hash.c ctf-labels.c ctf-lookup.c \
135 ctf-open.c ctf-open-bfd.c ctf-string.c ctf-subr.c ctf-types.c \
136 ctf-util.c ctf-qsort_r.c
137 @NEED_CTF_QSORT_R_TRUE@am__objects_1 = ctf-qsort_r.$(OBJEXT)
138 am_libctf_a_OBJECTS = ctf-archive.$(OBJEXT) ctf-dump.$(OBJEXT) \
139 ctf-create.$(OBJEXT) ctf-decl.$(OBJEXT) ctf-error.$(OBJEXT) \
140 ctf-hash.$(OBJEXT) ctf-labels.$(OBJEXT) ctf-lookup.$(OBJEXT) \
141 ctf-open.$(OBJEXT) ctf-open-bfd.$(OBJEXT) ctf-string.$(OBJEXT) \
142 ctf-subr.$(OBJEXT) ctf-types.$(OBJEXT) ctf-util.$(OBJEXT) \
144 libctf_a_OBJECTS = $(am_libctf_a_OBJECTS)
145 AM_V_P = $(am__v_P_@AM_V@)
146 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
149 AM_V_GEN = $(am__v_GEN_@AM_V@)
150 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
151 am__v_GEN_0 = @echo " GEN " $@;
153 AM_V_at = $(am__v_at_@AM_V@)
154 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
157 DEFAULT_INCLUDES = -I.@am__isrc@
158 depcomp = $(SHELL) $(top_srcdir)/../depcomp
159 am__depfiles_maybe = depfiles
161 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
162 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
163 AM_V_CC = $(am__v_CC_@AM_V@)
164 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
165 am__v_CC_0 = @echo " CC " $@;
168 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
169 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
170 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
171 am__v_CCLD_0 = @echo " CCLD " $@;
173 SOURCES = $(libctf_a_SOURCES)
174 DIST_SOURCES = $(am__libctf_a_SOURCES_DIST)
175 am__can_run_installinfo = \
176 case $$AM_UPDATE_INFO_DIR in \
178 *) (install-info --version) >/dev/null 2>&1;; \
180 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
182 # Read a list of newline-separated strings from the standard input,
183 # and print each of them once, without duplicates. Input order is
185 am__uniquify_input = $(AWK) '\
186 BEGIN { nonempty = 0; } \
187 { items[$$0] = 1; nonempty = 1; } \
188 END { if (nonempty) { for (i in items) print i; }; } \
190 # Make sure the list of sources is unique. This is necessary because,
191 # e.g., the same source file might be shared among _SOURCES variables
192 # for different programs/libraries.
193 am__define_uniq_tagged_files = \
194 list='$(am__tagged_files)'; \
195 unique=`for i in $$list; do \
196 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
197 done | $(am__uniquify_input)`
201 AM_RECURSIVE_TARGETS = cscope
202 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
203 $(top_srcdir)/../ar-lib $(top_srcdir)/../compile \
204 $(top_srcdir)/../depcomp $(top_srcdir)/../install-sh \
205 $(top_srcdir)/../missing $(top_srcdir)/../mkinstalldirs \
207 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
208 distdir = $(PACKAGE)-$(VERSION)
209 top_distdir = $(distdir)
210 am__remove_distdir = \
211 if test -d "$(distdir)"; then \
212 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
213 && rm -rf "$(distdir)" \
214 || { sleep 5 && rm -rf "$(distdir)"; }; \
216 am__post_remove_distdir = $(am__remove_distdir)
217 DIST_ARCHIVES = $(distdir).tar.gz
219 DIST_TARGETS = dist-gzip
220 distuninstallcheck_listfiles = find . -type f -print
221 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
222 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
223 distcleancheck_listfiles = find . -type f -print
226 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
228 AUTOCONF = @AUTOCONF@
229 AUTOHEADER = @AUTOHEADER@
230 AUTOMAKE = @AUTOMAKE@
233 CCDEPMODE = @CCDEPMODE@
236 CPPFLAGS = @CPPFLAGS@
237 CYGPATH_W = @CYGPATH_W@
247 INSTALL_DATA = @INSTALL_DATA@
248 INSTALL_PROGRAM = @INSTALL_PROGRAM@
249 INSTALL_SCRIPT = @INSTALL_SCRIPT@
250 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
254 LTLIBOBJS = @LTLIBOBJS@
256 MAKEINFO = @MAKEINFO@
260 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
261 PACKAGE_NAME = @PACKAGE_NAME@
262 PACKAGE_STRING = @PACKAGE_STRING@
263 PACKAGE_TARNAME = @PACKAGE_TARNAME@
264 PACKAGE_URL = @PACKAGE_URL@
265 PACKAGE_VERSION = @PACKAGE_VERSION@
266 PATH_SEPARATOR = @PATH_SEPARATOR@
268 SET_MAKE = @SET_MAKE@
272 WARN_PEDANTIC = @WARN_PEDANTIC@
274 abs_builddir = @abs_builddir@
275 abs_srcdir = @abs_srcdir@
276 abs_top_builddir = @abs_top_builddir@
277 abs_top_srcdir = @abs_top_srcdir@
278 ac_ct_AR = @ac_ct_AR@
279 ac_ct_CC = @ac_ct_CC@
280 ac_libctf_warn_cflags = @ac_libctf_warn_cflags@
281 am__include = @am__include@
282 am__leading_dot = @am__leading_dot@
283 am__quote = @am__quote@
285 am__untar = @am__untar@
287 build_alias = @build_alias@
288 builddir = @builddir@
291 datarootdir = @datarootdir@
294 exec_prefix = @exec_prefix@
295 host_alias = @host_alias@
297 includedir = @includedir@
299 install_sh = @install_sh@
301 libexecdir = @libexecdir@
302 localedir = @localedir@
303 localstatedir = @localstatedir@
306 oldincludedir = @oldincludedir@
309 program_transform_name = @program_transform_name@
312 sharedstatedir = @sharedstatedir@
314 sysconfdir = @sysconfdir@
315 target_alias = @target_alias@
316 top_build_prefix = @top_build_prefix@
317 top_builddir = @top_builddir@
318 top_srcdir = @top_srcdir@
322 ACLOCAL_AMFLAGS = -I .. -I ../config
323 AUTOMAKE_OPTIONS = foreign no-texinfo.tex
325 # This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
326 # -I../zlib, unless we were configured with --with-system-zlib, in which
327 # case both are empty.
330 AM_CPPFLAGS = -D_GNU_SOURCE -I$(top_srcdir) -I$(top_srcdir)/../include -I$(top_srcdir)/../bfd -I../bfd
331 AM_CFLAGS = -std=gnu99 @ac_libctf_warn_cflags@ @warn@ @c_warn@ @WARN_PEDANTIC@ @WERROR@ $(ZLIBINC)
332 noinst_LIBRARIES = libctf.a
333 libctf_a_SOURCES = ctf-archive.c ctf-dump.c ctf-create.c ctf-decl.c \
334 ctf-error.c ctf-hash.c ctf-labels.c ctf-lookup.c ctf-open.c \
335 ctf-open-bfd.c ctf-string.c ctf-subr.c ctf-types.c ctf-util.c \
338 $(MAKE) $(AM_MAKEFLAGS) all-am
341 .SUFFIXES: .c .o .obj
342 am--refresh: Makefile
344 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
346 case '$(am__configure_deps)' in \
348 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
349 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
354 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
355 $(am__cd) $(top_srcdir) && \
356 $(AUTOMAKE) --foreign Makefile
357 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
360 echo ' $(SHELL) ./config.status'; \
361 $(SHELL) ./config.status;; \
363 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
364 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
367 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
368 $(SHELL) ./config.status --recheck
370 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
371 $(am__cd) $(srcdir) && $(AUTOCONF)
372 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
373 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
374 $(am__aclocal_m4_deps):
377 @test -f $@ || rm -f stamp-h1
378 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
380 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
382 cd $(top_builddir) && $(SHELL) ./config.status config.h
383 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
384 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
389 -rm -f config.h stamp-h1
391 clean-noinstLIBRARIES:
392 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
394 libctf.a: $(libctf_a_OBJECTS) $(libctf_a_DEPENDENCIES) $(EXTRA_libctf_a_DEPENDENCIES)
395 $(AM_V_at)-rm -f libctf.a
396 $(AM_V_AR)$(libctf_a_AR) libctf.a $(libctf_a_OBJECTS) $(libctf_a_LIBADD)
397 $(AM_V_at)$(RANLIB) libctf.a
405 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-archive.Po@am__quote@
406 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-create.Po@am__quote@
407 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-decl.Po@am__quote@
408 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-dump.Po@am__quote@
409 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-error.Po@am__quote@
410 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-hash.Po@am__quote@
411 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-labels.Po@am__quote@
412 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-lookup.Po@am__quote@
413 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open-bfd.Po@am__quote@
414 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open.Po@am__quote@
415 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-qsort_r.Po@am__quote@
416 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-string.Po@am__quote@
417 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-subr.Po@am__quote@
418 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-types.Po@am__quote@
419 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-util.Po@am__quote@
422 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
423 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
424 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
425 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
426 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
429 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
430 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
431 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
432 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
433 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
435 ID: $(am__tagged_files)
436 $(am__define_uniq_tagged_files); mkid -fID $$unique
440 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
443 $(am__define_uniq_tagged_files); \
445 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
446 test -n "$$unique" || unique=$$empty_fix; \
447 if test $$# -gt 0; then \
448 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
451 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
458 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
459 $(am__define_uniq_tagged_files); \
460 test -z "$(CTAGS_ARGS)$$unique" \
461 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
465 here=`$(am__cd) $(top_builddir) && pwd` \
466 && $(am__cd) $(top_srcdir) \
467 && gtags -i $(GTAGS_ARGS) "$$here"
469 test ! -s cscope.files \
470 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
473 cscope.files: clean-cscope cscopelist
474 cscopelist: cscopelist-am
476 cscopelist-am: $(am__tagged_files)
477 list='$(am__tagged_files)'; \
478 case "$(srcdir)" in \
479 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
480 *) sdir=$(subdir)/$(srcdir) ;; \
482 for i in $$list; do \
483 if test -f "$$i"; then \
484 echo "$(subdir)/$$i"; \
488 done >> $(top_builddir)/cscope.files
491 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
492 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
494 distdir: $(DISTFILES)
495 $(am__remove_distdir)
496 test -d "$(distdir)" || mkdir "$(distdir)"
497 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
498 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
499 list='$(DISTFILES)'; \
500 dist_files=`for file in $$list; do echo $$file; done | \
501 sed -e "s|^$$srcdirstrip/||;t" \
502 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
503 case $$dist_files in \
504 */*) $(MKDIR_P) `echo "$$dist_files" | \
505 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
508 for file in $$dist_files; do \
509 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
510 if test -d $$d/$$file; then \
511 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
512 if test -d "$(distdir)/$$file"; then \
513 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
515 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
516 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
517 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
519 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
521 test -f "$(distdir)/$$file" \
522 || cp -p $$d/$$file "$(distdir)/$$file" \
526 -test -n "$(am__skip_mode_fix)" \
527 || find "$(distdir)" -type d ! -perm -755 \
528 -exec chmod u+rwx,go+rx {} \; -o \
529 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
530 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
531 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
532 || chmod -R a+r "$(distdir)"
534 tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
535 $(am__post_remove_distdir)
538 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
539 $(am__post_remove_distdir)
542 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
543 $(am__post_remove_distdir)
546 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
547 $(am__post_remove_distdir)
550 @echo WARNING: "Support for distribution archives compressed with" \
551 "legacy program 'compress' is deprecated." >&2
552 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
553 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
554 $(am__post_remove_distdir)
557 @echo WARNING: "Support for shar distribution archives is" \
559 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
560 shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
561 $(am__post_remove_distdir)
564 -rm -f $(distdir).zip
565 zip -rq $(distdir).zip $(distdir)
566 $(am__post_remove_distdir)
569 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
570 $(am__post_remove_distdir)
572 # This target untars the dist file and tries a VPATH configuration. Then
573 # it guarantees that the distribution is self-contained by making another
576 case '$(DIST_ARCHIVES)' in \
578 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
580 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
582 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
584 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
586 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
588 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
590 unzip $(distdir).zip ;;\
592 chmod -R a-w $(distdir)
594 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
596 test -d $(distdir)/_build || exit 0; \
597 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
598 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
600 && $(am__cd) $(distdir)/_build/sub \
602 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
603 $(DISTCHECK_CONFIGURE_FLAGS) \
604 --srcdir=../.. --prefix="$$dc_install_base" \
605 && $(MAKE) $(AM_MAKEFLAGS) \
606 && $(MAKE) $(AM_MAKEFLAGS) dvi \
607 && $(MAKE) $(AM_MAKEFLAGS) check \
608 && $(MAKE) $(AM_MAKEFLAGS) install \
609 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
610 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
611 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
613 && chmod -R a-w "$$dc_install_base" \
615 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
616 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
617 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
618 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
619 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
620 } || { rm -rf "$$dc_destdir"; exit 1; }) \
621 && rm -rf "$$dc_destdir" \
622 && $(MAKE) $(AM_MAKEFLAGS) dist \
623 && rm -rf $(DIST_ARCHIVES) \
624 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
627 $(am__post_remove_distdir)
628 @(echo "$(distdir) archives ready for distribution: "; \
629 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
630 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
632 @test -n '$(distuninstallcheck_dir)' || { \
633 echo 'ERROR: trying to run $@ with an empty' \
634 '$$(distuninstallcheck_dir)' >&2; \
637 $(am__cd) '$(distuninstallcheck_dir)' || { \
638 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
641 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
642 || { echo "ERROR: files left after uninstall:" ; \
643 if test -n "$(DESTDIR)"; then \
644 echo " (check DESTDIR support)"; \
646 $(distuninstallcheck_listfiles) ; \
648 distcleancheck: distclean
649 @if test '$(srcdir)' = . ; then \
650 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
653 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
654 || { echo "ERROR: files left in build directory after distclean:" ; \
655 $(distcleancheck_listfiles) ; \
659 all-am: Makefile $(LIBRARIES) config.h
662 install-exec: install-exec-am
663 install-data: install-data-am
664 uninstall: uninstall-am
667 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
669 installcheck: installcheck-am
671 if test -z '$(STRIP)'; then \
672 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
673 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
676 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
677 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
678 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
685 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
686 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
688 maintainer-clean-generic:
689 @echo "This command is intended for maintainers to use"
690 @echo "it deletes files that may require special tools to rebuild."
693 clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
695 distclean: distclean-am
696 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
699 distclean-am: clean-am distclean-compile distclean-generic \
700 distclean-hdr distclean-tags
716 install-dvi: install-dvi-am
722 install-html: install-html-am
726 install-info: install-info-am
732 install-pdf: install-pdf-am
736 install-ps: install-ps-am
742 maintainer-clean: maintainer-clean-am
743 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
744 -rm -rf $(top_srcdir)/autom4te.cache
747 maintainer-clean-am: distclean-am maintainer-clean-generic
749 mostlyclean: mostlyclean-am
751 mostlyclean-am: mostlyclean-compile mostlyclean-generic
763 .MAKE: all install-am install-strip
765 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
766 clean-cscope clean-generic clean-noinstLIBRARIES cscope \
767 cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
768 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
769 distcheck distclean distclean-compile distclean-generic \
770 distclean-hdr distclean-tags distcleancheck distdir \
771 distuninstallcheck dvi dvi-am html html-am info info-am \
772 install install-am install-data install-data-am install-dvi \
773 install-dvi-am install-exec install-exec-am install-html \
774 install-html-am install-info install-info-am install-man \
775 install-pdf install-pdf-am install-ps install-ps-am \
776 install-strip installcheck installcheck-am installdirs \
777 maintainer-clean maintainer-clean-generic mostlyclean \
778 mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
779 tags tags-am uninstall uninstall-am
784 # Tell versions [3.59,3.63) of GNU make to not export all variables.
785 # Otherwise a system limit (for SysV at least) may be exceeded.